<?php

namespace common\models;
use Yii;

class Quest extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return 'quest';
    }
    public function rules()
    {
        return [
            [['username'], 'string', 'min' => 2, 'max' => 255],

            ['email', 'email'],
            [['email','phone'], 'string', 'max' => 255],

            ['phone', 'required'],
            [['phone','model_name','model_year','model_color'], 'safe']

        ];
    }

    public function attributeLabels()
    {
        return [
            'username'      =>'Имя',
            'phone'         =>'телефон',
            'email'         =>'e-mail',
            'model_name'    =>'',
            'model_year'    =>'',
            'model_color'   =>'',
        ];
    }




}